1# Makefile.in generated by automake 1.13.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2012 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18# Makefile.am
19#
20# This file is part of the ckpass project.
21#
22# Copyright (C) 2009  Heath N. Caldwell <hncaldwell@gmail.com>
23#
24# This program is free software: you can redistribute it and/or modify
25# it under the terms of the GNU General Public License as published by
26# the Free Software Foundation, either version 3 of the License, or
27# (at your option) any later version.
28#
29# This program is distributed in the hope that it will be useful,
30# but WITHOUT ANY WARRANTY; without even the implied warranty of
31# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
32# GNU General Public License for more details.
33#
34# You should have received a copy of the GNU General Public License
35# along with this program.  If not, see <http://www.gnu.org/licenses/>.
36#
37
38VPATH = @srcdir@
39am__make_dryrun = \
40  { \
41    am__dry=no; \
42    case $$MAKEFLAGS in \
43      *\\[\ \	]*) \
44        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
45          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
46      *) \
47        for am__flg in $$MAKEFLAGS; do \
48          case $$am__flg in \
49            *=*|--*) ;; \
50            *n*) am__dry=yes; break;; \
51          esac; \
52        done;; \
53    esac; \
54    test $$am__dry = yes; \
55  }
56pkgdatadir = $(datadir)/@PACKAGE@
57pkgincludedir = $(includedir)/@PACKAGE@
58pkglibdir = $(libdir)/@PACKAGE@
59pkglibexecdir = $(libexecdir)/@PACKAGE@
60am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
61install_sh_DATA = $(install_sh) -c -m 644
62install_sh_PROGRAM = $(install_sh) -c
63install_sh_SCRIPT = $(install_sh) -c
64INSTALL_HEADER = $(INSTALL_DATA)
65transform = $(program_transform_name)
66NORMAL_INSTALL = :
67PRE_INSTALL = :
68POST_INSTALL = :
69NORMAL_UNINSTALL = :
70PRE_UNINSTALL = :
71POST_UNINSTALL = :
72bin_PROGRAMS = ckpass$(EXEEXT)
73subdir = .
74DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
75	$(top_srcdir)/configure $(am__configure_deps) depcomp AUTHORS \
76	COPYING INSTALL README install-sh missing
77ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
78am__aclocal_m4_deps = $(top_srcdir)/configure.ac
79am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
80	$(ACLOCAL_M4)
81am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
82 configure.lineno config.status.lineno
83mkinstalldirs = $(install_sh) -d
84CONFIG_CLEAN_FILES =
85CONFIG_CLEAN_VPATH_FILES =
86am__installdirs = "$(DESTDIR)$(bindir)"
87PROGRAMS = $(bin_PROGRAMS)
88am_ckpass_OBJECTS = ckpass.$(OBJEXT) bindings.$(OBJEXT) \
89	commands.$(OBJEXT) forms.$(OBJEXT)
90ckpass_OBJECTS = $(am_ckpass_OBJECTS)
91ckpass_LDADD = $(LDADD)
92AM_V_P = $(am__v_P_@AM_V@)
93am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
94am__v_P_0 = false
95am__v_P_1 = :
96AM_V_GEN = $(am__v_GEN_@AM_V@)
97am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
98am__v_GEN_0 = @echo "  GEN     " $@;
99am__v_GEN_1 =
100AM_V_at = $(am__v_at_@AM_V@)
101am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
102am__v_at_0 = @
103am__v_at_1 =
104DEFAULT_INCLUDES = -I.@am__isrc@
105depcomp = $(SHELL) $(top_srcdir)/depcomp
106am__depfiles_maybe = depfiles
107am__mv = mv -f
108COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
109	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
110AM_V_CC = $(am__v_CC_@AM_V@)
111am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
112am__v_CC_0 = @echo "  CC      " $@;
113am__v_CC_1 =
114CCLD = $(CC)
115LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
116AM_V_CCLD = $(am__v_CCLD_@AM_V@)
117am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
118am__v_CCLD_0 = @echo "  CCLD    " $@;
119am__v_CCLD_1 =
120SOURCES = $(ckpass_SOURCES)
121DIST_SOURCES = $(ckpass_SOURCES)
122am__can_run_installinfo = \
123  case $$AM_UPDATE_INFO_DIR in \
124    n|no|NO) false;; \
125    *) (install-info --version) >/dev/null 2>&1;; \
126  esac
127am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
128# Read a list of newline-separated strings from the standard input,
129# and print each of them once, without duplicates.  Input order is
130# *not* preserved.
131am__uniquify_input = $(AWK) '\
132  BEGIN { nonempty = 0; } \
133  { items[$$0] = 1; nonempty = 1; } \
134  END { if (nonempty) { for (i in items) print i; }; } \
135'
136# Make sure the list of sources is unique.  This is necessary because,
137# e.g., the same source file might be shared among _SOURCES variables
138# for different programs/libraries.
139am__define_uniq_tagged_files = \
140  list='$(am__tagged_files)'; \
141  unique=`for i in $$list; do \
142    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
143  done | $(am__uniquify_input)`
144ETAGS = etags
145CTAGS = ctags
146CSCOPE = cscope
147AM_RECURSIVE_TARGETS = cscope
148DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
149distdir = $(PACKAGE)-$(VERSION)
150top_distdir = $(distdir)
151am__remove_distdir = \
152  if test -d "$(distdir)"; then \
153    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
154      && rm -rf "$(distdir)" \
155      || { sleep 5 && rm -rf "$(distdir)"; }; \
156  else :; fi
157am__post_remove_distdir = $(am__remove_distdir)
158DIST_ARCHIVES = $(distdir).tar.gz
159GZIP_ENV = --best
160DIST_TARGETS = dist-gzip
161distuninstallcheck_listfiles = find . -type f -print
162am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
163  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
164distcleancheck_listfiles = find . -type f -print
165ACLOCAL = @ACLOCAL@
166AMTAR = @AMTAR@
167AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
168AUTOCONF = @AUTOCONF@
169AUTOHEADER = @AUTOHEADER@
170AUTOMAKE = @AUTOMAKE@
171AWK = @AWK@
172CC = @CC@
173CCDEPMODE = @CCDEPMODE@
174CFLAGS = @CFLAGS@
175CPPFLAGS = @CPPFLAGS@
176CYGPATH_W = @CYGPATH_W@
177DEFS = @DEFS@
178DEPDIR = @DEPDIR@
179ECHO_C = @ECHO_C@
180ECHO_N = @ECHO_N@
181ECHO_T = @ECHO_T@
182EXEEXT = @EXEEXT@
183INSTALL = @INSTALL@
184INSTALL_DATA = @INSTALL_DATA@
185INSTALL_PROGRAM = @INSTALL_PROGRAM@
186INSTALL_SCRIPT = @INSTALL_SCRIPT@
187INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
188LDFLAGS = @LDFLAGS@
189LIBOBJS = @LIBOBJS@
190LIBS = @LIBS@
191LTLIBOBJS = @LTLIBOBJS@
192MAKEINFO = @MAKEINFO@
193MKDIR_P = @MKDIR_P@
194OBJEXT = @OBJEXT@
195PACKAGE = @PACKAGE@
196PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
197PACKAGE_NAME = @PACKAGE_NAME@
198PACKAGE_STRING = @PACKAGE_STRING@
199PACKAGE_TARNAME = @PACKAGE_TARNAME@
200PACKAGE_URL = @PACKAGE_URL@
201PACKAGE_VERSION = @PACKAGE_VERSION@
202PATH_SEPARATOR = @PATH_SEPARATOR@
203SET_MAKE = @SET_MAKE@
204SHELL = @SHELL@
205STRIP = @STRIP@
206VERSION = @VERSION@
207abs_builddir = @abs_builddir@
208abs_srcdir = @abs_srcdir@
209abs_top_builddir = @abs_top_builddir@
210abs_top_srcdir = @abs_top_srcdir@
211ac_ct_CC = @ac_ct_CC@
212am__include = @am__include@
213am__leading_dot = @am__leading_dot@
214am__quote = @am__quote@
215am__tar = @am__tar@
216am__untar = @am__untar@
217bindir = @bindir@
218build_alias = @build_alias@
219builddir = @builddir@
220datadir = @datadir@
221datarootdir = @datarootdir@
222docdir = @docdir@
223dvidir = @dvidir@
224exec_prefix = @exec_prefix@
225host_alias = @host_alias@
226htmldir = @htmldir@
227includedir = @includedir@
228infodir = @infodir@
229install_sh = @install_sh@
230libdir = @libdir@
231libexecdir = @libexecdir@
232localedir = @localedir@
233localstatedir = @localstatedir@
234mandir = @mandir@
235mkdir_p = @mkdir_p@
236oldincludedir = @oldincludedir@
237pdfdir = @pdfdir@
238prefix = @prefix@
239program_transform_name = @program_transform_name@
240psdir = @psdir@
241sbindir = @sbindir@
242sharedstatedir = @sharedstatedir@
243srcdir = @srcdir@
244sysconfdir = @sysconfdir@
245target_alias = @target_alias@
246top_build_prefix = @top_build_prefix@
247top_builddir = @top_builddir@
248top_srcdir = @top_srcdir@
249ckpass_SOURCES = ckpass.c ckpass.h bindings.c bindings.h commands.c forms.c forms.h
250all: all-am
251
252.SUFFIXES:
253.SUFFIXES: .c .o .obj
254am--refresh: Makefile
255	@:
256$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
257	@for dep in $?; do \
258	  case '$(am__configure_deps)' in \
259	    *$$dep*) \
260	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
261	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
262		&& exit 0; \
263	      exit 1;; \
264	  esac; \
265	done; \
266	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
267	$(am__cd) $(top_srcdir) && \
268	  $(AUTOMAKE) --foreign Makefile
269.PRECIOUS: Makefile
270Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
271	@case '$?' in \
272	  *config.status*) \
273	    echo ' $(SHELL) ./config.status'; \
274	    $(SHELL) ./config.status;; \
275	  *) \
276	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
277	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
278	esac;
279
280$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
281	$(SHELL) ./config.status --recheck
282
283$(top_srcdir)/configure:  $(am__configure_deps)
284	$(am__cd) $(srcdir) && $(AUTOCONF)
285$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
286	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
287$(am__aclocal_m4_deps):
288install-binPROGRAMS: $(bin_PROGRAMS)
289	@$(NORMAL_INSTALL)
290	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
291	if test -n "$$list"; then \
292	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
293	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
294	fi; \
295	for p in $$list; do echo "$$p $$p"; done | \
296	sed 's/$(EXEEXT)$$//' | \
297	while read p p1; do if test -f $$p \
298	  ; then echo "$$p"; echo "$$p"; else :; fi; \
299	done | \
300	sed -e 'p;s,.*/,,;n;h' \
301	    -e 's|.*|.|' \
302	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
303	sed 'N;N;N;s,\n, ,g' | \
304	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
305	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
306	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
307	    else { print "f", $$3 "/" $$4, $$1; } } \
308	  END { for (d in files) print "f", d, files[d] }' | \
309	while read type dir files; do \
310	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
311	    test -z "$$files" || { \
312	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
313	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
314	    } \
315	; done
316
317uninstall-binPROGRAMS:
318	@$(NORMAL_UNINSTALL)
319	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
320	files=`for p in $$list; do echo "$$p"; done | \
321	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
322	      -e 's/$$/$(EXEEXT)/' \
323	`; \
324	test -n "$$list" || exit 0; \
325	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
326	cd "$(DESTDIR)$(bindir)" && rm -f $$files
327
328clean-binPROGRAMS:
329	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
330ckpass$(EXEEXT): $(ckpass_OBJECTS) $(ckpass_DEPENDENCIES) $(EXTRA_ckpass_DEPENDENCIES)
331	@rm -f ckpass$(EXEEXT)
332	$(AM_V_CCLD)$(LINK) $(ckpass_OBJECTS) $(ckpass_LDADD) $(LIBS)
333
334mostlyclean-compile:
335	-rm -f *.$(OBJEXT)
336
337distclean-compile:
338	-rm -f *.tab.c
339
340@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bindings.Po@am__quote@
341@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ckpass.Po@am__quote@
342@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/commands.Po@am__quote@
343@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/forms.Po@am__quote@
344
345.c.o:
346@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
347@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
348@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
349@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
350@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c $<
351
352.c.obj:
353@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
354@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
355@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
356@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
357@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
358
359ID: $(am__tagged_files)
360	$(am__define_uniq_tagged_files); mkid -fID $$unique
361tags: tags-am
362TAGS: tags
363
364tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
365	set x; \
366	here=`pwd`; \
367	$(am__define_uniq_tagged_files); \
368	shift; \
369	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
370	  test -n "$$unique" || unique=$$empty_fix; \
371	  if test $$# -gt 0; then \
372	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
373	      "$$@" $$unique; \
374	  else \
375	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
376	      $$unique; \
377	  fi; \
378	fi
379ctags: ctags-am
380
381CTAGS: ctags
382ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
383	$(am__define_uniq_tagged_files); \
384	test -z "$(CTAGS_ARGS)$$unique" \
385	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
386	     $$unique
387
388GTAGS:
389	here=`$(am__cd) $(top_builddir) && pwd` \
390	  && $(am__cd) $(top_srcdir) \
391	  && gtags -i $(GTAGS_ARGS) "$$here"
392cscope: cscope.files
393	test ! -s cscope.files \
394	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
395clean-cscope:
396	-rm -f cscope.files
397cscope.files: clean-cscope cscopelist
398cscopelist: cscopelist-am
399
400cscopelist-am: $(am__tagged_files)
401	list='$(am__tagged_files)'; \
402	case "$(srcdir)" in \
403	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
404	  *) sdir=$(subdir)/$(srcdir) ;; \
405	esac; \
406	for i in $$list; do \
407	  if test -f "$$i"; then \
408	    echo "$(subdir)/$$i"; \
409	  else \
410	    echo "$$sdir/$$i"; \
411	  fi; \
412	done >> $(top_builddir)/cscope.files
413
414distclean-tags:
415	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
416	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
417
418distdir: $(DISTFILES)
419	$(am__remove_distdir)
420	test -d "$(distdir)" || mkdir "$(distdir)"
421	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
422	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
423	list='$(DISTFILES)'; \
424	  dist_files=`for file in $$list; do echo $$file; done | \
425	  sed -e "s|^$$srcdirstrip/||;t" \
426	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
427	case $$dist_files in \
428	  */*) $(MKDIR_P) `echo "$$dist_files" | \
429			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
430			   sort -u` ;; \
431	esac; \
432	for file in $$dist_files; do \
433	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
434	  if test -d $$d/$$file; then \
435	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
436	    if test -d "$(distdir)/$$file"; then \
437	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
438	    fi; \
439	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
440	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
441	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
442	    fi; \
443	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
444	  else \
445	    test -f "$(distdir)/$$file" \
446	    || cp -p $$d/$$file "$(distdir)/$$file" \
447	    || exit 1; \
448	  fi; \
449	done
450	-test -n "$(am__skip_mode_fix)" \
451	|| find "$(distdir)" -type d ! -perm -755 \
452		-exec chmod u+rwx,go+rx {} \; -o \
453	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
454	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
455	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
456	|| chmod -R a+r "$(distdir)"
457dist-gzip: distdir
458	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
459	$(am__post_remove_distdir)
460
461dist-bzip2: distdir
462	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
463	$(am__post_remove_distdir)
464
465dist-lzip: distdir
466	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
467	$(am__post_remove_distdir)
468
469dist-xz: distdir
470	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
471	$(am__post_remove_distdir)
472
473dist-tarZ: distdir
474	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
475	$(am__post_remove_distdir)
476
477dist-shar: distdir
478	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
479	$(am__post_remove_distdir)
480
481dist-zip: distdir
482	-rm -f $(distdir).zip
483	zip -rq $(distdir).zip $(distdir)
484	$(am__post_remove_distdir)
485
486dist dist-all:
487	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
488	$(am__post_remove_distdir)
489
490# This target untars the dist file and tries a VPATH configuration.  Then
491# it guarantees that the distribution is self-contained by making another
492# tarfile.
493distcheck: dist
494	case '$(DIST_ARCHIVES)' in \
495	*.tar.gz*) \
496	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
497	*.tar.bz2*) \
498	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
499	*.tar.lz*) \
500	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
501	*.tar.xz*) \
502	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
503	*.tar.Z*) \
504	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
505	*.shar.gz*) \
506	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
507	*.zip*) \
508	  unzip $(distdir).zip ;;\
509	esac
510	chmod -R a-w $(distdir)
511	chmod u+w $(distdir)
512	mkdir $(distdir)/_build $(distdir)/_inst
513	chmod a-w $(distdir)
514	test -d $(distdir)/_build || exit 0; \
515	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
516	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
517	  && am__cwd=`pwd` \
518	  && $(am__cd) $(distdir)/_build \
519	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
520	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
521	    $(DISTCHECK_CONFIGURE_FLAGS) \
522	  && $(MAKE) $(AM_MAKEFLAGS) \
523	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
524	  && $(MAKE) $(AM_MAKEFLAGS) check \
525	  && $(MAKE) $(AM_MAKEFLAGS) install \
526	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
527	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
528	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
529	        distuninstallcheck \
530	  && chmod -R a-w "$$dc_install_base" \
531	  && ({ \
532	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
533	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
534	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
535	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
536	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
537	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
538	  && rm -rf "$$dc_destdir" \
539	  && $(MAKE) $(AM_MAKEFLAGS) dist \
540	  && rm -rf $(DIST_ARCHIVES) \
541	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
542	  && cd "$$am__cwd" \
543	  || exit 1
544	$(am__post_remove_distdir)
545	@(echo "$(distdir) archives ready for distribution: "; \
546	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
547	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
548distuninstallcheck:
549	@test -n '$(distuninstallcheck_dir)' || { \
550	  echo 'ERROR: trying to run $@ with an empty' \
551	       '$$(distuninstallcheck_dir)' >&2; \
552	  exit 1; \
553	}; \
554	$(am__cd) '$(distuninstallcheck_dir)' || { \
555	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
556	  exit 1; \
557	}; \
558	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
559	   || { echo "ERROR: files left after uninstall:" ; \
560	        if test -n "$(DESTDIR)"; then \
561	          echo "  (check DESTDIR support)"; \
562	        fi ; \
563	        $(distuninstallcheck_listfiles) ; \
564	        exit 1; } >&2
565distcleancheck: distclean
566	@if test '$(srcdir)' = . ; then \
567	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
568	  exit 1 ; \
569	fi
570	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
571	  || { echo "ERROR: files left in build directory after distclean:" ; \
572	       $(distcleancheck_listfiles) ; \
573	       exit 1; } >&2
574check-am: all-am
575check: check-am
576all-am: Makefile $(PROGRAMS)
577installdirs:
578	for dir in "$(DESTDIR)$(bindir)"; do \
579	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
580	done
581install: install-am
582install-exec: install-exec-am
583install-data: install-data-am
584uninstall: uninstall-am
585
586install-am: all-am
587	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
588
589installcheck: installcheck-am
590install-strip:
591	if test -z '$(STRIP)'; then \
592	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
593	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
594	      install; \
595	else \
596	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
597	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
598	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
599	fi
600mostlyclean-generic:
601
602clean-generic:
603
604distclean-generic:
605	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
606	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
607
608maintainer-clean-generic:
609	@echo "This command is intended for maintainers to use"
610	@echo "it deletes files that may require special tools to rebuild."
611clean: clean-am
612
613clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
614
615distclean: distclean-am
616	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
617	-rm -rf ./$(DEPDIR)
618	-rm -f Makefile
619distclean-am: clean-am distclean-compile distclean-generic \
620	distclean-tags
621
622dvi: dvi-am
623
624dvi-am:
625
626html: html-am
627
628html-am:
629
630info: info-am
631
632info-am:
633
634install-data-am:
635
636install-dvi: install-dvi-am
637
638install-dvi-am:
639
640install-exec-am: install-binPROGRAMS
641
642install-html: install-html-am
643
644install-html-am:
645
646install-info: install-info-am
647
648install-info-am:
649
650install-man:
651
652install-pdf: install-pdf-am
653
654install-pdf-am:
655
656install-ps: install-ps-am
657
658install-ps-am:
659
660installcheck-am:
661
662maintainer-clean: maintainer-clean-am
663	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
664	-rm -rf $(top_srcdir)/autom4te.cache
665	-rm -rf ./$(DEPDIR)
666	-rm -f Makefile
667maintainer-clean-am: distclean-am maintainer-clean-generic
668
669mostlyclean: mostlyclean-am
670
671mostlyclean-am: mostlyclean-compile mostlyclean-generic
672
673pdf: pdf-am
674
675pdf-am:
676
677ps: ps-am
678
679ps-am:
680
681uninstall-am: uninstall-binPROGRAMS
682
683.MAKE: install-am install-strip
684
685.PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
686	clean-binPROGRAMS clean-cscope clean-generic cscope \
687	cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
688	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
689	distcheck distclean distclean-compile distclean-generic \
690	distclean-tags distcleancheck distdir distuninstallcheck dvi \
691	dvi-am html html-am info info-am install install-am \
692	install-binPROGRAMS install-data install-data-am install-dvi \
693	install-dvi-am install-exec install-exec-am install-html \
694	install-html-am install-info install-info-am install-man \
695	install-pdf install-pdf-am install-ps install-ps-am \
696	install-strip installcheck installcheck-am installdirs \
697	maintainer-clean maintainer-clean-generic mostlyclean \
698	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
699	tags tags-am uninstall uninstall-am uninstall-binPROGRAMS
700
701
702# Tell versions [3.59,3.63) of GNU make to not export all variables.
703# Otherwise a system limit (for SysV at least) may be exceeded.
704.NOEXPORT:
705